
package userfunctions;

import jess.*;


/**
 * External function:
 * (cos <value>) where <value> is expressed in degrees 
 */

public class Cos implements Userfunction {

    public String getName() {
        return "cos";
    }

    public Value call(ValueVector vv, Context context) throws JessException {
        Value v = vv.get(1).resolveValue(context);
     
        // Perform degrees2radians conversion
        return new Value(Math.cos((v.numericValue(context) / 360) * (2 * Math.PI)), RU.FLOAT);
    }
}
